<?php get_header(); ?>
	<?php if (have_posts()) : ?>
	<?php $post = $posts[0]; // Hack. Set $post so that the_date() works. ?>
    <?php /* If this is a category archive */ if (is_category()) { ?>
        <h1 class="catheader"><?php single_cat_title(); ?></h1>
		<?php $catdesc = category_description(); if(stristr($catdesc,'<p>')) { echo '<div class="catdesc">'.$catdesc.'</div>'; } ?>   
    <?php /* If this is a tag archive */ } elseif( is_tag() ) { ?>
        <h1 class="catheader"><?php printf(__("Posts Tagged &#8216; %s &#8217;", "magazine-premium"), single_tag_title('',false)); ?></h1>
        <div id="tagcloud"><?php wp_tag_cloud('smallest=8&largest=16'); ?></div>
    <?php /* If this is a daily archive */ } elseif (is_day()) { ?>
        <h1 class="catheader"><?php _e("Archive for ", "magazine-premium").the_time('F jS, Y'); ?></h1>
    <?php /* If this is a monthly archive */ } elseif (is_month()) { ?>
        <h1 class="catheader"><?php _e("Archive for ", "magazine-premium").the_time('F, Y'); ?></h1>
    <?php /* If this is a yearly archive */ } elseif (is_year()) { ?>
        <h1 class="catheader"><?php _e("Archive for ", "magazine-premium").the_time('Y'); ?></h1>
    <?php /* If this is an author archive */ } elseif (is_author()) { ?>
        <h1 class="catheader"><?php _e("Author Archive", "magazine-premium"); ?></h1>
    <?php /* If this is a paged archive */ } elseif (isset($_GET['paged']) && !empty($_GET['paged'])) { ?>
        <h1 class="catheader"><?php _e("Blog Archives", "magazine-premium"); ?></h1>
    <?php } ?>

    <?php while (have_posts()) : the_post(); ?>
    	<div class="ind-post">
            <h2 id="post-<?php the_ID(); ?>"><a href="<?php the_permalink() ?>" rel="bookmark" title="<?php printf(__("Permanent Link to %s", "magazine-premium"), the_title_attribute('echo=0')); ?>"><?php the_title(); ?></a></h2>
            <div class="meta">  
                <?php if(theme_option('authors_cats') == 'on') { echo '<div class="author">'; _e("By", "magazine-premium"); echo " "; the_author_posts_link(); echo '</div>'; } ?> 
                <?php if(theme_option('comment_count') == 1 && comments_open()) { ?>
                	<div class="commentbox"><div class="commentbox-l"></div>
                    	<?php comments_popup_link('0','1','%','ind-comments'); ?>
                	</div>
                <?php } ?>
                 <?php if(theme_option('dates_cats') == 'on') { echo '<div class="date">'; the_time(get_option('date_format')); echo '</div>'; } ?>
           </div>
            <div class="storycontent">
				<?php 
                    if(function_exists('has_post_thumbnail') && has_post_thumbnail()) { 
                        echo '<a href="'.get_permalink().'">';
						the_post_thumbnail('thumbnail', array('class'=>'alignleft'));
						echo '</a>';
                    } else { 
						echo resize(get_option('thumbnail_size_w'),get_option('thumbnail_size_h')); 
					}
                ?>
                <?php theme_excerpt('55') ?>
            </div>                                    
        </div>

    <?php endwhile; ?>

	<?php
    if(function_exists('pagination')) { pagination(); }
    ?>
	<?php else :

		if ( is_category() ) { // If this is a category archive
			printf(__("<h2 class='center'>Sorry, but there aren't any posts in the %s category yet.</h2>", "magazine-premium"), single_cat_title('',false));
		} else if ( is_date() ) { // If this is a date archive
			_e("<h2>Sorry, but there aren't any posts with this date.</h2>", "magazine-premium");
		} else if ( is_author() ) { // If this is a category archive
			$userdata = get_userdatabylogin(get_query_var('author_name'));
			printf(__("<h2 class='center'>Sorry, but there aren't any posts by %s yet.</h2>", "magazine-premium"), $userdata->display_name);
		} else {
			_e("<h2 class='center'>No posts found.</h2>", "magazine-premium");
		}

	endif;
?>

<?php get_footer(); ?>
