<?php get_header(); ?>
	<?php if (have_posts()) : while (have_posts()) : the_post(); ?>
		<div class="ind-post" id="post-<?php the_ID(); ?>">
			<h1><?php the_title(); ?></h1>
			<div class="meta">
				<?php if(theme_option('dates_posts') == 'on') { echo '<div class="date">'; the_time(get_option('date_format')); echo '</div>'; } ?>
                <?php if(theme_option('authors_posts') == 'on') { _e("By", "magazine-premium"); echo " "; the_author_posts_link(); } ?> 
			</div>
			<div class="storycontent">
				<?php $subtitle = get_post_meta($post->ID, 'pbt_subtitle_value', true);
					if($subtitle) echo '<p class="sub">'.$subtitle.'</p>';
				 ?>
				 <?php the_content(); ?>
				<?php the_tags(__('<p class="tags"><small>Tags: ', "magazine-premium"), ', ', '</small></p>'); ?>
				<p class="postmetadata alt">
					<small>
						<?php _e('This entry was posted on ', "magazine-premium").the_time(get_option('date_format'))._e(' at ', "magazine-premium").the_time()._e(' and is filed under ', "magazine-premium").the_category(', '); echo '. '; _e('You can follow any responses to this entry through the ', "magazine-premium").post_comments_feed_link('RSS 2.0')._e(' feed.', "magazine-premium"); ?>
					</small>
				</p>
            </div>
  		<?php wp_link_pages(array('before' => '<p><strong>'.__('Pages', "magazine-premium").':</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); ?>
		</div>
        
	<?php comments_template(); ?>
	<?php endwhile; else: ?>
		<p><?php _e("Sorry, no posts matched your criteria.", "magazine-premium"); ?></p>
<?php endif; ?>
<?php get_footer(); ?>