<?php get_header(); ?>

<!-- This sets the $curauth variable -->

    <?php
    if(isset($_GET['author_name'])) :
        $curauth = get_userdatabylogin($author_name);
    else :
        $curauth = get_userdata(intval($author));
    endif;
    ?>

    <h1 class="catheader"><?php echo $curauth->nickname; ?></h1>
    <div>
	<p class="authorpage">
    <?php $user_photo = get_avatar($curauth->user_email); if($user_photo) { echo $user_photo; } ?>
	<?php echo $curauth->description; ?>
    </p>
    </div>
    <p>
    <?php if($curauth->user_url) echo '<strong>Web Site</strong>: <a href="'.$curauth->user_url.'">'.$curauth->user_url.'</a><br />'; ?>
    <?php if($curauth->aim) echo '<strong>AIM</strong>: '.$curauth->aim.'<br />'; ?>
    <?php if($curauth->yim) echo '<strong>Yahoo IM</strong>: '.$curauth->yim.'<br />'; ?>
    <?php if($curauth->jabber) echo '<strong>Jabber/Google Talk</strong>: '.$curauth->jabber.'<br />'; ?>
    </p>
	<br />
    <?php if (have_posts()) : while (have_posts()) : the_post(); ?>
    	<div class="ind-post">
            <h2 id="post-<?php the_ID(); ?>"><a href="<?php the_permalink() ?>" rel="bookmark" title="<?php printf(__("Permanent Link to %s", "magazine-premium"), the_title_attribute('echo=0')); ?>"><?php the_title(); ?></a></h2>
            <div class="meta">  
                <?php if(theme_option('dates_cats') == 'on') { echo '<div class="date fl">'; the_time(get_option('date_format')); echo '</div>'; } ?>
            </div>
            <div class="storycontent">
				<?php 
                    if(function_exists('has_post_thumbnail') && has_post_thumbnail()) { 
                        echo '<a href="'.get_permalink().'">';
						the_post_thumbnail('thumbnail', array('class'=>'alignleft'));
						echo '</a>';
                    } else { 
						echo resize(get_option('thumbnail_size_w'),get_option('thumbnail_size_h')); 
					}
                ?>
                <?php theme_excerpt('55') ?>
            </div>                                    
        </div>

    <?php endwhile; ?>
	<?php if(function_exists('pagination')) { pagination(); } ?>
    
	<?php else: ?>
        <p><?php _e('No posts by this author.', "magazine-premium"); ?></p>

    <?php endif; ?>

<?php get_footer(); ?>
