<?php get_header(); ?>
<?php if(theme_option('display_slideshow')=="on") { ?>
    <div id="featured" >
        <ul class="ui-tabs-nav">
	    <?php
		$featuredcat = theme_option('fp_featured');
		$posts = array(
			"posts_per_page"=>"4",
			"cat"=>$featuredcat
		);
		$featured = new WP_Query();
		$featured->query($posts);
		$x = 1;
		?>
		<?php while ($featured->have_posts()) : $featured->the_post(); ?> 
			<li class="ui-tabs-nav-item<?php if($x == 1) { echo ' ui-tabs-selected'; } ?>" id="nav-slide-<?php echo $x; ?>"><a href="#slide-<?php echo $x; ?>">            <?php if(function_exists('has_post_thumbnail') && has_post_thumbnail()) { the_post_thumbnail('slideshow-thumb'); } else { echo resize(80,50,'alignleft',false); } ?><span><?php short_title('...',10); ?></span></a></li>
		<?php $x++; endwhile; ?>
        </ul>
	    <?php
		$x = 1;
		?>
		<?php while ($featured->have_posts()) : $featured->the_post(); ?> 
        <div id="slide-<?php echo $x; ?>" class="ui-tabs-panel<?php if($x != 1) { echo ' ui-tabs-hide'; } ?>">
           	<a href="<?php the_permalink(); ?>" title="<?php the_title(); ?>"><?php if(function_exists('has_post_thumbnail') && has_post_thumbnail()) { the_post_thumbnail('slideshow'); } else { echo resize(SLIDESHOWWIDTH,248,'',false); } ?></a>
			<div class="info" >
                <h2><a href="<?php the_permalink(); ?>" title="<?php the_title(); ?>"><?php short_title('...',10); ?></a></h2>
                <?php theme_excerpt(15, false); ?>
            </div>
	    </div>
		<?php $x++; endwhile; ?>

	</div><!-- end #featured -->
<?php } ?>

    <div id="leftline">
		<div id="leftposts">
		<?php	
		$leftcat = theme_option('fp_leftcol');
		$leftnum = theme_option('leftcol_posts');
		$leftoffset = theme_option('leftcol_offset');
 	    $paged = (get_query_var('paged')) ? get_query_var('paged') : 1;
		$posts = array(
			"posts_per_page"=>$leftnum,
			"cat"=>$leftcat,
			"offset"=>$leftoffset,
           'paged'=>$paged
		);
		$leftposts = new WP_Query();
		$leftposts->query($posts);
        $x = 1;
        ?>
		<?php while ($leftposts->have_posts()) : $leftposts->the_post(); ?> 
        <div class="ind-post<?php if($x==$leftnum) echo " noline"; ?>">
            <h2><a href="<?php the_permalink() ?>" title="<?php printf(__("Permanent Link to %s", "magazine-premium"), the_title_attribute('echo=0')); ?>"><?php the_title(); ?></a></h2>
          	<div class="meta">
                <?php if(theme_option('leftcol_authors')=='on') { echo '<div class="author">'; _e("By", "magazine-premium"); echo " "; the_author_posts_link(); echo '</div>'; } ?> 
                <?php if(theme_option('comment_count') == 1 && comments_open()) { ?>
                	<div class="commentbox"><div class="commentbox-l"></div>
                    	<?php comments_popup_link('0','1','%','ind-comments'); ?>
                	</div>
                <?php } ?>
				<?php if(theme_option('leftcol_dates')=='on') { echo '<div class="date">'; the_time(get_option('date_format')); echo '</div>'; } ?>
            </div>
            
            <div class="storycontent">
                <?php 
				if(theme_option('leftcol_image')=='on') { 
	                if(function_exists('has_post_thumbnail') && has_post_thumbnail()) { 
                        echo '<a href="'.get_permalink().'">';
						the_post_thumbnail('leftcol-thumb', array('class'=>'alignright'));
						echo '</a>';
					} else { 
						echo resize(theme_option('leftcol_imgwidth'),theme_option('leftcol_imgheight'),'alignright'); 
					}
				}			
				if(theme_option('leftcol_exorcon') == '2') { 
					theme_content(theme_option('more_link_text'));
				} else {
					theme_excerpt(theme_option('leftcol_excerpt_limit'));
				}	
				?>
            </div>
        </div>
        <?php $x++; endwhile; ?>
        </div> <!-- end #leftposts -->

        <?php if(theme_option('leftcol_width')!=100) { ?>
        <div id="rightposts">
		<?php	
		$rightcat = theme_option('fp_rightcol');
		$rightnum = theme_option('rightcol_posts');
		$rightoffset = theme_option('rightcol_offset');
		$posts = array(
			"posts_per_page"=>$rightnum,
			"cat"=>$rightcat,
			"offset"=>$rightoffset
		);
		$rightposts = new WP_Query();
		$rightposts->query($posts);
        $x = 1;
        ?>
		<?php while ($rightposts->have_posts()) : $rightposts->the_post(); ?> 
        <div class="ind-post<?php if($x==$rightnum) echo " noline"; ?>">
            <h2><a href="<?php the_permalink() ?>" title="<?php printf(__("Permanent Link to %s", "magazine-premium"), the_title_attribute('echo=0')); ?>"><?php the_title(); ?></a></h2>
            <div class="meta">
                <?php if(theme_option('rightcol_authors') == 'on') { echo '<div class="author">'; _e("By", "magazine-premium"); echo " "; the_author_posts_link(); echo '</div>'; } ?> 
                <?php if(theme_option('comment_count') == 1 && comments_open()) { ?>
                	<div class="commentbox"><div class="commentbox-l"></div>
                    	<?php comments_popup_link('0','1','%','ind-comments'); ?>
                	</div>
                <?php } ?>
                <?php if(theme_option('rightcol_dates') == 'on') { echo '<div class="date">'; the_time(get_option('date_format')); echo '</div>'; } ?>
            </div>
            
            <div class="storycontent">
                <?php 
				if(theme_option('rightcol_image') == 'on') { 
					if(function_exists('has_post_thumbnail') && has_post_thumbnail()) { 
                        echo '<a href="'.get_permalink().'">';
						the_post_thumbnail('rightcol-thumb', array('class'=>'alignright'));
						echo '</a>';
					} else { 
						echo resize(theme_option('rightcol_imgwidth'),theme_option('rightcol_imgheight'),'alignright'); 
					}
				}	
				if(theme_option('rightcol_exorcon') == '2') { 
					theme_content(theme_option('more_link_text'));
				} else {
					theme_excerpt(theme_option('rightcol_excerpt_limit'));
				}	
                ?>
            </div>
        </div>
        <?php $x++; endwhile; ?>
        </div> <!-- end #rightposts -->
        <?php } ?>
	</div> <!-- end #leftline -->
	<?php
    //if(function_exists('pagination')) { pagination(); }
    ?>
<?php get_footer(); ?>