<?php 
function widget_tabs() { ?>
      <div id="tabbed">
            <ul>
                <li><a href="#tabbed-1"><?php _e("Recent Comments", "magazine-premium"); ?></a></li>
                <li><a href="#tabbed-2"><?php _e("Popular Posts", "magazine-premium"); ?></a></li>
                <li class="tabsub"><a href="#tabbed-3"><?php _e("Subscribe", "magazine-premium"); ?></a></li>
            </ul>
            <div id="tabbed-1">
				<?php
				global $wpdb;
                $comment_array = $wpdb->get_results("SELECT comment_date_gmt, comment_author, comment_ID, comment_post_ID FROM $wpdb->comments WHERE comment_approved = '1' ORDER BY comment_date_gmt DESC LIMIT 10");
                $comment_total = count($comment_array);
                echo '<ul class="comments">';
                for ($x = 0; $x < $comment_total; $x++)
                {
                echo '<li>';
                echo $comment_array[$x]->comment_author . __(' on ', "magazine-premium");
                echo '<a href="'. get_permalink($comment_array[$x]->comment_post_ID) . '#comment-' . $comment_array[$x]->comment_ID . '">';
                echo get_the_title($comment_array[$x]->comment_post_ID);
                echo '</a>';
                echo '</li>';
                }
                echo '</ul>'
                ?>   
            </div>
            <div id="tabbed-2">
                <ul class="popular">
                    <?php echo popularPosts(10); ?>
                </ul>
            </div>
            <div id="tabbed-3">
                <p class="message"></p><p class="error"></p>
       			<?php $mailinglisttext = get_option('mailing_list_text'); ?>
                <p><img src="<?php echo THEME_URL; ?>/images/mailinglist.png" alt="Mailing List" width="50" height="40" class="alignleft" />
				<?php 
				if($mailinglisttext) {				
					echo stripslashes($mailinglisttext); 
    			} else {
                	echo "If you are interested in joining our mailing list, please submit your email below.";
                } 
				?>
                <br class="clear" />
                <form method="post" id="mailinglist" action="">
                    <input type="text" name="mailinglistemail" id="mailinglistemail" size="26" />
                    <input type="submit" name="submit" id="mailinglistsubmit" value="<?php _e("Sign-Up", "magazine-premium"); ?>" /><img src="<?php bloginfo('wpurl'); ?>/wp-admin/images/wpspin_light.gif" alt="" class="ajaxsave" />
                </form>
                </p>
    		</div>
        </div>
<?php
}

function widget_myTabs($args) {
	extract($args); 
	echo $before_widget;
	widget_tabs();
	echo $after_widget; 
}

wp_register_sidebar_widget( 'tabs', __('MP - Tabs', "magazine-premium"), 'widget_myTabs', array('description' => __('Recent Comments, Popular Posts and Subscribe tabs', "magazine-premium")) );
?>